org.apache.commons.math3.transform

## Interface RealTransformer

- All Known Implementing Classes:
    FastCosineTransformer, FastHadamardTransformer, FastSineTransformer

      public interface RealTransformer

  Interface for one-dimensional data sets transformations producing real results.

  Such transforms include `sine transform`, `cosine transform` or `Hadamard transform`. `Fourier transform` is of a different kind and does not implement this interface since it produces `Complex` results instead of real ones.

  Since:
    2.0
  Version:
    $Id: RealTransformer.java 1244107 2012-02-14 16:17:55Z erans $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `double[]` | `transform(double[] f, TransformType type)` Returns the (forward, inverse) transform of the specified real data set.
    `double[]` | `transform(UnivariateFunction f, double min, double max, int n, TransformType type)` Returns the (forward, inverse) transform of the specified real function, sampled on the specified interval.

- - ### Method Detail

    - #### transform

          double[] transform(double[] f,
                           TransformType type)

      Returns the (forward, inverse) transform of the specified real data set.
      Parameters:
        `f` - the real data array to be transformed (signal)
        `type` - the type of transform (forward, inverse) to be performed
      Returns:
        the real transformed array (spectrum)

    - #### transform

          double[] transform(UnivariateFunction f,
                           double min,
                           double max,
                           int n,
                           TransformType type)

      Returns the (forward, inverse) transform of the specified real function, sampled on the specified interval.
      Parameters:
        `f` - the function to be sampled and transformed
        `min` - the (inclusive) lower bound for the interval
        `max` - the (exclusive) upper bound for the interval
        `n` - the number of sample points
        `type` - the type of transform (forward, inverse) to be performed
      Returns:
        the real transformed array
      Throws:
        `NonMonotonicSequenceException` - if the lower bound is greater than, or equal to the upper bound
        `NotStrictlyPositiveException` - if the number of sample points is negative

Copyright © 2003-2012 The Apache Software Foundation. All Rights Reserved.